%define	name	inkscape
%define version 0.42
%define	rel	1
%define release %mkrel %{rel}

Name:		inkscape
Summary:	A vector-based drawing program using SVG
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://inkscape.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  png-devel
BuildRequires:  libxml2-devel >= 2.6.0
BuildRequires:	libgc-devel >= 6.4
BuildRequires:	libsigc++2.0-devel >= 2.0.3
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libxslt-devel >= 1.0.15
BuildRequires:	libgnomeprintui-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	gtkspell-devel
BuildRequires:	python-devel
BuildRequires:	perl
BuildRequires:  perl-devel


%description
Inkscape is a SVG based generic vector-drawing program.

Inkscape uses W3C SVG as its native file format. It is therefore a very useful
tool for web designers and as an interchange format for desktop publishing.

%prep
%setup -q -a1
sed -i 's/gc_libs=""/gc_libs="-lpthread -ldl"/' configure

%build
%configure2_5x \
	--disable-static \
	--with-python \
	--with-perl \
	--with-gnome-print
#(peroyvind) for some weird reason -lpopt will be converted to /usr/lib/libpopt.so
# during build, hardcode real path in stead
perl -pi -e "s#-lpopt#%{_libdir}/libpopt.so#g" src/Makefile
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Menu support
install -d %{buildroot}%{_menudir}/ 
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): needs=x11 \
icon="%{name}.png" \
section="Multimedia/Graphics" \
title=Inkscape longtitle="Vector graphics editor" \
command="%{name}"
EOF

# icons
install -D -m 644 %{name}-48.png %{buildroot}/%_liconsdir/%{name}.png
install -D -m 644 %{name}-32.png %{buildroot}/%_iconsdir/%{name}.png
install -D -m 644 %{name}-16.png %{buildroot}/%_miconsdir/%{name}.png

# remove .la files
rm -f %{buildroot}/%{_libdir}/inkscape/plugins/*.la

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/inkscape/
#%{_libdir}/inkscape
%{_mandir}/man1/*
%{_mandir}/*/man1/*

%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Mon Jul 25 2005 Pascal Terjan <pterjan@mandriva.org> 0.42-1mdk
- 0.42
- Drop P0, included upstream

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.41-5mdk
- work around weird problem when linking against popt (lib64)
- %%mkrel
- drop COPYING (package is GPL..)

* Thu May 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.41-4mdk
- Rebuild for new perl

* Mon Apr 04 2005 Pascal Terjan <pterjan@mandrake.org> 0.41-3mdk
- BuildRequires perl-devel for EXTERN.h

* Tue Mar 01 2005 Abel Cheung <deaddog@mandrake.org> 0.41-2mdk
- Fixes done by Tom Ph <tpgww@onepost.net>:
  o Patch (missing gnomeprint fn) from CVS
  o Add back gnomeprint support
  o Extra icons, menu icon
  o Requires, BuildRequires

* Sat Feb 26 2005 Abel Cheung <deaddog@mandrake.org> 0.41-1mdk
- New release
- Drop gnomeprint support (compile error)

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.40-2mdk
- Update BuildRequires

* Tue Nov 30 2004 Jerome Soyer <saispo@mandrake.org> 0.40-1mdk
- New release 0.40

* Mon Sep 20 2004 Jerome Soyer <saispo@mandrake.org> 0.39-4mdk
- Update BuildRequires

* Mon Sep 20 2004 Jerome Soyer <saispo@mandrake.org> 0.39-3mdk
- Added Autotrace and Frontline function

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 0.39-2mdk
- fix BuildRequires

* Wed Jul 21 2004 Michael Scherer <misc@mandrake.org> 0.39-1mdk
- New release 0.39
- remove patch 0, integrated upstream

* Sat Jun 19 2004 Abel Cheung <deaddog@deaddog.org> 0.38.1-4mdk
- Patch0: fix build against new gcc (CVS)

* Wed Jun 02 2004 Michael Scherer <misc@mandrake.org> 0.38.1-3mdk 
- [DIRM]

* Thu Apr 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.38.1-2mdk
- fix deps

* Mon Apr 12 2004 Michael Scherer <misc@mandrake.org> 0.38.1-1mdk
- New release 0.38.1
- [DIRM]

* Sat Feb 14 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.37-1mdk
- new version

* Fri Dec 12 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.36-1mdk
- initial packaging

* Thu May 01 2003 Christian Schaller <uraeus@gnome.org>
- Fix up the spec file for current release

* Mon Sep 23 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.6

* Thu Sep 12 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.5
- Changed SPEC to benefit from macros
